# Generated from digest_extensions-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name digest_extensions

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Extensions to the Digest module of the ruby standard library to support marshalling
License: GPL
URL: http://github.com/jarl-dk/digest_extensions
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(rspec) >= 2.6.0
# BuildRequires: rubygem(rspec) < 2.7
# BuildRequires: rubygem(jeweler) >= 1.6.4
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rake-compiler) >= 0.7.9
# BuildRequires: rubygem(rake-compiler) < 0.8

%description
With marshalling of digest objects, it is possible to compute the digests over
several executions by storing the marshalled object on file or database, this
is handy for computing digests for large files that comes in parts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/digest_extensions.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
